Summary: Traces the route taken by packets over a TCP/IP network.
Name: traceroute
Version: 1.4a12
Release: 1
Copyright: BSD
Group: Applications/Internet
Source: ftp://ftp.ee.lbl.gov/traceroute-%{version}.tar.gz
Patch2:traceroute-1.4a11-droproot.patch
Patch3:traceroute-1.4a11-redhat.patch
Patch4:traceroute-1.4a11-secfix.patch
Patch5:traceroute-1.4a5-unaligned.patch
Patch6:traceroute-1.4a12-ANK.patch
Patch7:traceroute-1.4a12-usedevice.patch
Patch8:traceroute-1.4a12-ANK-sourcesel.patch
# No need / non-optimal
Patch92: traceroute-1.4a5-alpha.patch
Patch96: traceroute-1.4a5-llanfairpwllgwyngyllgogerychwyrndrobwllllantysiliogogogoch.patch

Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q

%patch2 -p1 -b .droproot
%patch3 -p1 -b .redhat
%patch4 -p1 -b .secfix
%patch5 -p1 -b .unaligned
%patch6 -p1 -b .ANK
%patch7 -p1 -b .usedevice
# XXX: ANK's source selection effectively disables the new traceroute method, deprecated
#%patch8 -p1 -b .ANKsourcesel

%build

%configure
make CCOPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

make DESTDIR=${RPM_BUILD_ROOT} install install-man

( cd $RPM_BUILD_ROOT
  strip .%{_sbindir}/* || :
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# this is set as 4555 by make install, which I don't really like
%attr(4755,root,root)	%{_sbindir}/traceroute
%{_mandir}/man8/*

%changelog
* Sat Jan 13 2001 Pekka Savola <pekkas@netcore.fi>
- update to traceroute-1.4a12 (very minor configure fix)
- split ANK patch to two parts: generic and one that affect source
  address selection.  Don't apply sourcesel patch by default.
- add a patch (after ANK #1) to make -i actually work.

* Sat Dec 30 2000 Pekka Savola <pekkas@netcore.fi>
- update to traceroute-1.4a11
- rework the patches (note: routing patches unmerged yet)

* Fri Dec  1 2000 Jeff Johnson <jbj@redhat.com>
- use RPM_OPT_FLAGS (#21279).

* Wed Oct  4 2000 Jeff Johnson <jbj@redhat.com>
- check max. packet length correctly (#15917).
- support LSRR correctly (#16281).

* Tue Jul 18 2000 Jeff Johnson <jbj@redhat.com>
- drop root privileges even earlier (#13466).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- bugfix for segfault with source routing (#13466)
- fix bug tracerouting thru aliased ethernet addresses (#9351)

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- fix build with new stricter patch

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- add patch for tracing to really long hostnames

* Thu May 27 1999 Richard Henderson <rth@twiddle.net>
- avoid unaligned traps writing into the output data area.

* Fri May 14 1999 Jeff Johnson <jbj@redhat.com>
- fix segfault when host cannot be reached through if (#2819)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- patch added to automatically determine interface to route through

* Fri Jan 22 1999 Jeff Johnson <jbj@redhat.com>
- use %configure
- fix 64 bit problem on alpha (#919)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Cristian Gafton <gafton@redhat.com>
- updated the security patch (ouch!). Without the glibc fix, it could be
  worthless anyway

* Sat Dec 13 1997 Cristian Gafton <gafton@redhat.com>
- added a security patch fix

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added fix from Christopher Seawood

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
